tidy::root
tidyNode::getParent
Tidy
PHP Manual

# The tidyNode class

(PHP 5 >= 5.0.1)

## Introduction

An HTML node in an HTML file, as detected by tidy.

## Class synopsis

tidyNode {
/* Properties */
string $value;
string $name;
int $type;
int $line;
int $column;
bool $proprietary;
int $id;
array $attribute;
array $child;
/* Methods */
tidyNode getParent ( void )
bool hasChildren ( void )
bool hasSiblings ( void )
bool isAsp ( void )
bool isComment ( void )
bool isHtml ( void )
bool isJste ( void )
bool isPhp ( void )
bool isText ( void )
}

## Properties

value

  The HTML representation of the node, including the surrounding tags.

name

  The name of the HTML node

type

  The type of the tag (one of the constants above, e.g. `TIDY_NODETYPE_PHP`)

line

  The line number at which the tags is located in the file

column

  The column number at which the tags is located in the file

proprietary

  Indicates if the node is a proprietary tag

id

  The ID of the tag (one of the constants above, e.g. `TIDY_TAG_FRAME`)

attribute

  An array of string, representing the attributes names (as keys) of the current node.

child

  An array of tidyNode, representing the children of the current node.

Version | Description
--- | ---
5.1.0 | line, column and proprietary were added

## Table of Contents

- tidyNode::getParent — Returns the parent node of the current node
- tidyNode::hasChildren — Checks if a node has children
- tidyNode::hasSiblings — Checks if a node has siblings
- tidyNode::isAsp — Checks if this node is ASP
- tidyNode::isComment — Checks if a node represents a comment
- tidyNode::isHtml — Checks if a node is part of a HTML document
- tidyNode::isJste — Checks if this node is JSTE
- tidyNode::isPhp — Checks if a node is PHP
- tidyNode::isText — Checks if a node represents text (no markup)

tidy::root
tidyNode::getParent
Tidy
PHP Manual